// DO NOT CHANGE
dir = 1
nextImg = 0
// DO NOT CHANGE

function disableCHUD(name) // Disables default HUD
	if name == "CHudHealth" or name == "CHudBattery" or name == "CHudAmmo" or name == "CHudSecondaryAmmo" then 
		return false 
	end
end
hook.Add("HUDShouldDraw", "disableHUD", disableCHUD)

Face = {} // Material Table
	
	Face[1] = {}
	Face[1][1] 	= surface.GetTextureID("nbcenter")
	Face[1][2] 	= surface.GetTextureID("nbleft")
	Face[1][3] 	= surface.GetTextureID("nbright")
	
	Face[2] = {}
	Face[2][1] 	= surface.GetTextureID("mincenter")
	Face[2][2] 	= surface.GetTextureID("minleft")
	Face[2][3] 	= surface.GetTextureID("minright")
	
	Face[3] = {}
	Face[3][1] 	= surface.GetTextureID("hacenter")
	Face[3][2] 	= surface.GetTextureID("haleft")
	Face[3][3] 	= surface.GetTextureID("haright")
	
	Face[4] = {}
	Face[4][1]	= surface.GetTextureID("majcenter")
	Face[4][2]	= surface.GetTextureID("majleft")
	Face[4][3]	= surface.GetTextureID("majright")
	
	Face[5] = {}
	Face[5][1]	= surface.GetTextureID("godmode")
	Face[5][2]	= surface.GetTextureID("godmode")
	Face[5][3]	= surface.GetTextureID("godmode")
	
	Face[6] = {}
	Face[6][1]	= surface.GetTextureID("deadface")
	Face[6][2]	= surface.GetTextureID("deadface")
	Face[6][3]	= surface.GetTextureID("deadface")
	
	
function GetDoomFace() // Relates health to the appropriate material
	local hp = LocalPlayer():Health()
	if hp > 75 then
		stat = 1
	elseif hp > 50 and hp < 75 then
		stat = 2
	elseif hp > 25 and hp < 50 then
		stat = 3
	elseif hp > 0 and hp < 25 then
		stat = 4
	elseif hp <= 0 then
		stat = 6
	end
	return stat
end

function ChangeDoomDir() // Change the direction of the eyes
	-- timer.Simple(1.5, GetDoomDir)
	if nextImg > CurTime() then return end
	if dir == 1 then
		dir = 2
	elseif dir == 2 then
		dir = 3
	elseif dir == 3 then
		dir = 1
	end
	nextImg = CurTime() + 1.5
end

hook.Add("Think", "DoomDir", ChangeDoomDir)

function DoomHUD() // Draws the HUD
	local ply = LocalPlayer()
	local sW = surface.ScreenWidth()
	local sH = surface.ScreenHeight()
	
	surface.CreateFont( "TargetID", 35, 650, true , false , "DoomText" 		)
	surface.CreateFont( "TargetID", 20, 650, true , false , "DoomText2" 	)
	surface.CreateFont( "TargetID", 20, 650, true , true  , "DoomCaption" 	)
	surface.CreateFont( "TargetID", 15, 650, true , true  , "DoomAmmo" 		)
	
	// backing
	surface.SetDrawColor(255,255,255,250)
	surface.SetTexture(surface.GetTextureID("backgroundTexture"))
	surface.DrawTexturedRect(sW / 9999, sH / 1.1, sW, sH / 5)
	surface.SetTexture(0)
	draw.NoTexture()
	// end backing
	
	// health
	local hp = ply:Health()
	draw.SimpleText("Health", "DoomCaption", sW / 4, sH / 1.04, Color(255,255,255,255), 2, 3)
	
	draw.SimpleTextOutlined(tostring(ply:Health()), "DoomText", sW / 4, sH / 1.1, Color(200,0,0,255), 2, 3, 3, Color(150,0,0,255))
	// end health
	
	// armor
	local am = ply:Armor()
	draw.SimpleText("Armor", "DoomCaption", sW / 1.55, sH / 1.04, Color(255,255,255,255), 2, 3)
	draw.SimpleTextOutlined(tostring(ply:Armor()), "DoomText", sW / 1.55, sH / 1.1, Color(200,0,0,255), 2, 3, 3, Color(150,0,0,255))
	// end armor
	
	// max's
	local pist = "Pistol: " .. tostring(ply:GetAmmoCount("pistol"))
	local smg = "SMG: " .. tostring(ply:GetAmmoCount("SMG1"))
	local rpg = "RPG: " .. tostring(ply:GetAmmoCount("RPG_Round"))
	local xbow = "Bolts: " .. tostring(ply:GetAmmoCount("XBowBolt"))
	local gren = "Grenades: " .. tostring(ply:GetAmmoCount("Grenade"))
	local ar2 = "AR2: " .. tostring(ply:GetAmmoCount("AR2"))
	local three = "357: " .. tostring(ply:GetAmmoCount("357"))
	local buck = "Buckshot: " .. tostring(ply:GetAmmoCount("buckshot"))
	local sgrenade = "SMG Gren: " .. tostring(ply:GetAmmoCount("smg1_grenade"))
	local cball = "CBalls: " .. tostring(ply:GetAmmoCount("AR2AltFire"))
	
	draw.SimpleText(pist, "DoomAmmo", sW / 1.47, sH / 1.09, Color(255,255,255,255))
	draw.SimpleText(smg, "DoomAmmo", sW / 1.47, sH / 1.065, Color(255,255,255,255))
	draw.SimpleText(rpg, "DoomAmmo", sW / 1.47, sH / 1.045, Color(255,255,255,255))
	draw.SimpleText(xbow, "DoomAmmo", sW / 1.47, sH / 1.025, Color(255,255,255,255))
	
	draw.SimpleText(gren, "DoomAmmo", sW / 1.3, sH / 1.09, Color(255,255,255,255))
	draw.SimpleText(ar2, "DoomAmmo", sW / 1.3, sH / 1.065, Color(255,255,255,255))
	draw.SimpleText(three, "DoomAmmo", sW / 1.3, sH / 1.045, Color(255,255,255,255))
	draw.SimpleText(buck, "DoomAmmo", sW / 1.3, sH / 1.025, Color(255,255,255,255))
	
	draw.SimpleText(sgrenade, "DoomAmmo", sW / 1.15, sH / 1.09, Color(255,255,255,255))
	draw.SimpleText(cball, "DoomAmmo", sW / 1.15, sH / 1.065, Color(255,255,255,255))
	//
	
	// portrait
	surface.SetTexture(0)
	draw.NoTexture()
	draw.RoundedBox(0, sW / 2.15, sH / 1.1, sW / 10, sH / 10, Color(0,0,0,255))
	surface.SetTexture(Face[GetDoomFace()][dir])
	surface.SetDrawColor(255,255,255,255)
	surface.DrawTexturedRect(sW / 2.15, sH / 1.1, sW / 10, sH / 10)
	// end portrait

	
	// Ammo
	draw.SimpleText("Ammo", "DoomCaption", sW / 8, sH / 1.04, Color(255,255,255,255), 2, 3)
	draw.SimpleText("Wielding", "DoomCaption", sW / 2.5, sH / 1.04, Color(255,255,255,255), 2, 3)
	
	if !ply:GetActiveWeapon():IsValid() || !ply:Alive() then return end
	draw.SimpleTextOutlined(tostring(ply:GetActiveWeapon():Clip1()), "DoomText", sW / 8, sH / 1.1, Color(200,0,0,255), 2, 3, 3, Color(150,0,0,255))
	// end ammo
	
	// arms
	local armsText = tostring(ply:GetActiveWeapon():GetPrintName())
	
	if string.len(armsText) > 15 then
		armsText = string.sub(armsText, 0, 15) .. "..."
		draw.SimpleTextOutlined(armsText, "DoomText2", sW / 2.8, sH / 1.075, Color(200,0,0,255), 1, 3, 1, Color(150,0,0,255))
	else
		draw.SimpleTextOutlined(armsText, "DoomText2", sW / 2.8, sH / 1.075, Color(200,0,0,255), 1, 3, 1, Color(150,0,0,255))
	end
	// end arms
end
hook.Add("HUDPaint", "DoomHUD", DoomHUD)